function [okay, Vab, Vcd, Vef, Vgh, aHx, aHy, aHz, aTx, aTy, ...
	cpres, ctemp, ccond, psdate, pstart, pedate, pstop, ...
	epres, ecurr, edpdt, evolt, engtime ]=load_MMP_rawmatfmt(infile,npts);

%routine to load a raw MVP data file and check that it is complete 

okay=0;
if exist(infile)==2

eval(['load ',infile]);
okay=1;

if exist('cpres') == 1
if(length(cpres)<npts);
okay=0;
end
else
okay=0;
end

if exist('Vab') == 1
if(length(Vab)<npts);
okay=0;
end
else
okay=0;
end

end

